require 'rb-inotify'

module AutoCommit
  class Detector
    def initialize dir, &block
      @notifier = INotify::Notifier.new
      @notifier.watch dir, :create, :modify, :delete, :moved_to, :moved_from, :recursive, &block
      @t = Thread.new {
        @notifier.run
      }
    end

    def stop
      @t.kill
      @t.join
    end
  end
end
